Skip to main content
POST
/
webhooks
cURL
curl -X POST 'https://api.nuntly.com/webhooks' \
  -H 'Authorization: Bearer apk_xxx' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Production webhook","endpointUrl":"https://example.com/webhooks","events":["email.queued"]}'
{
  "data": {
    "id": "<string>",
    "endpointUrl": "<string>",
    "events": [],
    "signingSecret": "<string>",
    "createdAt": "<string>",
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use an API key from https://nuntly.com/dashboard/api-keys. Required on every endpoint.

Body

application/json
endpointUrl
string
required

The endpoint URL of the webhook

Example:

"https://example.com/webhooks"

events
enum<string>[]
required

The event types to subscribe to

Available options:
email.queued,
email.scheduled,
email.processed,
email.sending,
email.sent,
email.delivered,
email.opened,
email.clicked,
email.bounced,
email.complained,
email.rejected,
email.deliveryDelayed,
email.failed,
email.renderingFailed,
email.subscribed,
email.unsubscribed,
message.received,
message.security.flagged,
message.agent.triggered,
message.sent,
message.rejected
name
string

The name of the webhook

Example:

"Production webhook"

status
enum<string>

The status of the webhook.

Available options:
enabled,
disabled

Response

Created.

data
object
required